#ifndef __ENOCEAN_H__ //avoid double inclusion
#define __ENOCEAN_H__

#include "types.h"

#define SYNCH_FAILED    0x01
#define CHECK_FAILED    0x07
#define OK              0xff

struct EnoceanMsg {
	u08 h_seq;
	u08 length;
	u08 org;
	u08 data[4];
	u08 id[4];
	u08 status;
};

/* prototypes */
u08 enoceanDecodeMsg(struct EnoceanMsg* msg);
bool I_Button_Pressed(struct EnoceanMsg* msg);
bool O_Button_Pressed(struct EnoceanMsg* msg);
bool Button_Released(struct EnoceanMsg* msg);
bool enoceanPendingMsg(void);

#endif // __ENOCEAN_H__
