#ifndef __TYPES_H__
#define __TYPES_H__

#include <ctype.h>

// alternative macros

#define DDR(x) ((x)-1)    /* address of data direction register of port x */
#define PIN(x) ((x)-2)    /* address of input register of port x */

#define sbi(ADDRESS,BIT) ((ADDRESS) |= (1<<(BIT)))
#define cbi(ADDRESS,BIT) ((ADDRESS) &= ~(1<<(BIT)))
#define outp(VAL,ADRESS) ((ADRESS) = (VAL))
#define inp(VAL) (VAL)

// alternative types

typedef unsigned char  u08;
typedef unsigned short u16;
typedef signed short   s16;
typedef unsigned long  u32;

typedef u08 bool;

#define true 1
#define false 0

#ifndef NULL
#define NULL	0
#endif

// constants
#define F_CPU  6000000UL

#endif //__TYPES_H__
