#ifndef __UART_H__ //avoid double inclusion
#define __UART_H__

#include "types.h"

#define UART_BAUD_RATE 9600
#define UART_BAUD_CALC(UART_BAUD_RATE) ((F_CPU)/((UART_BAUD_RATE)*16L)-1)

#define RX_BUFFER_LENGTH 56

/* prototypes */
void uart_Init(void);
inline void uart_Enqueue_Byte(u08);
u08  uart_Dequeue_Byte(void);
bool uart_Waiting_Bytes(void);

#endif // __UART_H__
